## 0ad 0.27.0-1~oibaf~ntrisquel2

=== testing/web-platform/tests/tools/third_party/websockets/Makefile ===
.PHONY: default style test coverage build clean

export PYTHONASYNCIODEBUG=1
export PYTHONPATH=src

default: coverage style

style:
	isort --recursive src tests
	black src tests
	flake8 src tests
	mypy --strict src

test:
	python -W default -m unittest

coverage:
	python -m coverage erase
	python -W default -m coverage run -m unittest
	python -m coverage html
	python -m coverage report --show-missing --fail-under=100

build:
	python setup.py build_ext --inplace

clean:
	find . -name '*.pyc' -o -name '*.so' -delete
	find . -name __pycache__ -delete
	rm -rf .coverage build compliance/reports dist docs/_build htmlcov MANIFEST src/websockets.egg-info

=== debian/changelog ===
0ad (0.27.0-1~oibaf~ntrisquel2) ecne-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 May 2025 04:22:23 +0000

0ad (0.27.0-1~oibaf~n) noble; urgency=medium

  * No-change backport to noble.

 -- Fabio Pedretti <fmrummey@gmail.com>  Sun, 02 Feb 2025 09:44:27 +0100

=== debian/control ===
Source: 0ad
Section: games
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders:
 Vincent Cheng <vcheng@debian.org>,
 Ludovic Rousseau <rousseau@debian.org>
Build-Depends:
 autoconf,
 automake,
 cargo,
 cmake,
 debhelper-compat (= 13),
 dh-exec (>= 0.1),
 dpkg-dev (>= 1.15.5),
 libboost-dev (>= 1.57.0.1),
 libboost-filesystem-dev (>= 1.57.0.1),
 libcurl4-gnutls-dev (>= 7.32.0) | libcurl4-dev (>= 7.32.0),
 libenet-dev (>= 1.3),
 libfmt-dev (>= 4.0.0),
 libfreetype-dev,
 libgloox-dev (>= 1.0.10),
 libicu-dev (>= 67.1-4~),
 libminiupnpc-dev (>= 1.6),
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl2-dev (>= 2.0.5),
 libsodium-dev (>= 1.0.14),
 libvorbis-dev,
 libwxgtk3.2-dev,
 libxcursor-dev,
 libxml2-dev,
 llvm,
 pkgconf,
 python3,
 rustc (>= 1.41),
 tzdata,
 zlib1g-dev (>= 1:1.2.3)
Standards-Version: 4.7.0
Homepage: https://play0ad.com/
Vcs-Git: https://salsa.debian.org/games-team/0ad.git
Vcs-Browser: https://salsa.debian.org/games-team/0ad
Rules-Requires-Root: no

Package: 0ad
Architecture: amd64 arm64 armhf i386 kfreebsd-amd64 kfreebsd-i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 0ad-data (>= ${source:Upstream-Version}),
 0ad-data (<= ${source:Version}),
 0ad-data-common (>= ${source:Upstream-Version}),
 0ad-data-common (<= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Real-time strategy game of ancient warfare
 0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
 real-time strategy (RTS) game of ancient warfare. In short, it is a
 historically-based war/economy game that allows players to relive or rewrite
 the history of Western civilizations, focusing on the years between 500 B.C.
 and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
 graphics, detailed artwork, sound, and a flexible and powerful custom-built
 game engine.

=== debian/rules ===
#!/usr/bin/make -f

# mozjs' build process does not seem to be compatible with other shells
# like zsh
export SHELL = /bin/sh

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

PARALLEL = $(or $(subst parallel=,-j,$(filter parallel=%,${DEB_BUILD_OPTIONS})), -j$(shell getconf _NPROCESSORS_ONLN))

%:
	dh $@

override_dh_auto_clean:
	# TODO: building twice in a row will fail, this is insufficient to delete all cruft
	find binaries/system/ -type f ! -name readme.txt -delete
	rm -f libraries/fcollada/lib/*.a
	rm -f build/premake/.*.tmp
	rm -rf libraries/source/spidermonkey/lib
	rm -f libraries/source/cxxtest-4.4/python/cxxtest/*.pyc
	rm -rf libraries/source/cxxtest-4.4/python/cxxtest/__pycache__
	rm -f libraries/source/cxxtest-4.4/python/python3/cxxtest/*.pyc
	rm -rf libraries/source/cxxtest-4.4/python/python3/cxxtest/__pycache__
	rm -f libraries/source/fcollada/lib/*
	rm -rf libraries/source/spidermonkey/include-unix-*
	rm -f libraries/source/nvtt/lib/*.so
	rm -f source/ps/tests/stub_impl_hack.cpp
	dh_auto_clean

override_dh_auto_build:
	libraries/build-source-libs.sh $(PARALLEL)
	build/workspaces/update-workspaces.sh \
		--bindir=/usr/games \
		--libdir=/usr/lib/games/0ad \
		--datadir=/usr/share/games/0ad \
		$(PARALLEL)
	
	$(MAKE) config=release verbose=1 -C build/workspaces/gcc \
		$(PARALLEL)

override_dh_auto_test:
	# Note: Avoid running tests from root dir of build, otherwise certain
	# tests (i.e. in testsuite MeshManager) may not work as intended and
	# create spurious directories above root dir (../data/mods).
ifeq (,$(filter armhf arm64 kfreebsd-amd64 kfreebsd-i386, $(DEB_HOST_ARCH)))
	cd binaries/system/ && LD_LIBRARY_PATH=. ./test
endif

override_dh_auto_install:
	install -Dm 0755 build/resources/0ad.sh $(CURDIR)/debian/tmp/usr/games/0ad
	dh_auto_install

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/games/0ad

override_dh_dwz:
	dh_dwz -Xlibmozjs115-release.so -Xlibmozjs115-debug.so

## 0ad 0.27.0-1~oibaf~n+11.0trisquel2

=== debian/changelog ===
0ad (0.27.0-1~oibaf~n+11.0trisquel2) aramo-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 24 Feb 2025 21:58:23 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libsdl2-dev (>= 2.0.5),
  libsodium-dev (>= 1.0.14),
  libvorbis-dev,
- libwxgtk3.2-dev,
+ libwxgtk3.0-gtk3-dev,
  libxcursor-dev,
  libxml2-dev,
  llvm,
